Bug 1615 - Could not join ROSA 2012.1 Fresh to Windows 2003 domain
: Could not join ROSA 2012.1 Fresh to Windows 2003 domain
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks: 2669
  Show dependency treegraph
 
Reported: 2013-02-07 21:23 MSK by FirstLevel
Modified: 2013-09-19 17:49 MSD (History)
5 users (show)

See Also:
RPM Package: drakxtools-curses-14.34-2-rosa2012.1.x86_64
ISO-related:
Bad POT generating:
Upstream:


Attachments
screenshot_053.png (38.26 KB, image/png)
2013-02-07 21:23 MSK, FirstLevel
Details
screenshot_054.png (32.16 KB, image/png)
2013-02-07 21:23 MSK, FirstLevel
Details
screenshot_055.png (16.85 KB, image/png)
2013-02-07 21:23 MSK, FirstLevel
Details
Diagnostic information (4.45 KB, text/plain)
2013-02-07 21:24 MSK, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2013-02-07 21:23:24 MSK
Created attachment 1172 [details]
screenshot_053.png

Description of problem:
I have installed ROSA 2012.1 Fresh and tried to join my PC to windows 2003 domain.
I have followed the master as You can see on attached screenshot. On the last step (screenshot_055.png) I see some id or symbolic code instead  and domain for authentication is absent. After last step master is closed and nothing happens.
I have attached some diagnostic information
cat /etc/samba/smb.conf
tail -f /var/log/messages while I set up domain authentication
and wbinfo output

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 FirstLevel 2013-02-07 21:23:39 MSK
Created attachment 1173 [details]
screenshot_054.png
Comment 2 FirstLevel 2013-02-07 21:23:53 MSK
Created attachment 1174 [details]
screenshot_055.png
Comment 3 FirstLevel 2013-02-07 21:24:06 MSK
Created attachment 1175 [details]
Diagnostic information
Comment 4 FirstLevel 2013-03-21 21:56:56 MSK
Is there any coments from developers?
Comment 5 Eugene Budanov 2013-03-22 15:58:44 MSK
A couple questions:

1. In which mode working AD domain? Mixed or Native? 
2. Config file of Samba, plz
Comment 6 Sergey Zhemoitel 2013-03-22 16:34:29 MSK
(In reply to comment #5)
> A couple questions:
> 
> 1. In which mode working AD domain? Mixed or Native? 
> 2. Config file of Samba, plz

1. для drakauth это не имеет значения. там этого попросту нет.
2. cat /etc/samba/smb.conf

[global]
passdb backend = tdbsam
winbind nss info = rfc2307
kerberos method = secrets only
workgroup = 
realm = 
netbios name = 
security = ads
encrypt passwords = Yes
password server = *
log file = /var/log/samba/log.%m
max log size = 50
socket options = TCP_NODELAY
os level = 0
local master = No
dns proxy = No
winbind uid = 10000-20000
winbind gid = 10000-20000
winbind separator = +
template homedir = /home/%D/%U
template shell = /bin/bash
winbind enum groups = Yes
winbind enum users = Yes
winbind refresh tickets = true
winbind offline logon = true
winbind cache time = 1440
winbind use default domain = Yes

это результат работы drakauth
Comment 7 FirstLevel 2013-05-27 11:04:43 MSD
Is there any comments from developers?
Comment 8 Sergey Zhemoitel 2013-07-18 12:23:23 MSD
Подскажите, будут ли подвижки в этом вопросе? Или лучше сразу похоронить указанную утилиту и не вспоминать о ней?

Проблема висит с февраля. Но ничего не изменилось. Комментариев нет.
Comment 9 Eugene Budanov 2013-07-18 13:08:45 MSD
First of all. You don't provide any information about domain working mode. It's very important info, because in Native Mode AD changing encryption type during connection and drakauth need some fixes for working with this mode. In Native Mode, AD working in more restricted environment and have some limitations for clients which connected to AD.
Comment 10 Sergey Zhemoitel 2013-07-18 13:14:26 MSD
Хм. Ручная правка конфигурационного файла и команда net join -U admindomain решают проблему. Видимо ни каких специфичных вещей в домене нет. 

Какую дополнительную информацию необходимо предоставить? 
AD на базе W2k3 server. Все по стандартной схеме. Ни каких "фишек" не используется.
Comment 11 Eugene Budanov 2013-07-18 13:32:53 MSD
This standard feature of Win2k3. When you deploy domain by dcpromo command, installation master asking you about domain working mode Mixed or Native. Unfortunately, in the current state Drakauth cant't detect this modes. You need to fix config file. So, can you say me what you fix in config file? This is easiest way to understand what problem in drakauth.
Comment 12 Sergey Zhemoitel 2013-07-18 13:36:00 MSD
все что я правлю это:
workgroup = "название рабочей группы"
realm = "название домена"
netbios name = USERPC
+> server string = USERPC
Comment 13 Eugene Budanov 2013-07-18 13:44:30 MSD
Very interesting. We fixed this problem in ROSA LTS (Marathon). And drakauth correctly changing smb.conf. Hm-m-m... Can you show how you connect to domain by drakauth master? Screencast? Screeshots? Most interesting moment — when you fill three text fields in master. 

Oh, yes! What hostname you use _before_ connecting to domain? Localhost?
Comment 14 Eugene Budanov 2013-07-18 13:46:11 MSD
(In reply to comment #13)
> Very interesting. We fixed this problem in ROSA LTS (Marathon). And drakauth
> correctly changing smb.conf. Hm-m-m... Can you show how you connect to
> domain by drakauth master? Screencast? Screeshots? Most interesting moment —
> when you fill three text fields in master. 
> 
> Oh, yes! What hostname you use _before_ connecting to domain? Localhost?

Three text fields — this is mean: screen with AD name, DC and DNS name.
Comment 15 Sergey Zhemoitel 2013-07-18 13:50:01 MSD
И таки что? Я это и заполняю в полях формы мастера. Только результат работы мастера - пустой конфиг самбы и все. 

При чем здесь видеоуроки? Что за бред?
Comment 16 Eugene Budanov 2013-07-18 14:00:11 MSD
Screenshot 054 this correct screen? And show me your real _fixed_ smb.conf, please. If not very problematic for you.

Screencast != video lesson. :) This recording video of your actions on computer.
Comment 17 Sergey Zhemoitel 2013-07-18 16:40:24 MSD
скрин верный. 

Какой смысл в записи моих действий? Вы попробуйте ввести в домен. 

smb.conf fix handmade:
[global]
        passdb backend = tdbsam
        winbind nss info = rfc2307
        kerberos method = secrets only
        workgroup = aqualine
        realm  = aqualine.ru
        netbios name = ORK-04
        server string = ORK-04 (Holod)
        security = ads
        encrypt passwords = Yes
        password server = *
        log file = /var/log/samba/log.%m
        max log size = 50
        socket options = TCP_NODELAY
        os level = 0
        local master = No
        dns proxy = No
        winbind uid = 10000-20000
        winbind gid = 10000-20000
        winbind separator = +
        template homedir = /home/%D/%U
        template shell = /bin/bash
        winbind enum groups = Yes
        winbind enum users = Yes
        winbind refresh tickets = true
        winbind offline logon = true
        winbind cache time = 1440
        winbind use default domain = Yes

drakauthmade:

[global]
passdb backend = tdbsam
winbind nss info = rfc2307
kerberos method = secrets only
workgroup = 
realm = 
netbios name = 
security = ads
encrypt passwords = Yes
password server = *
log file = /var/log/samba/log.%m
max log size = 50
socket options = TCP_NODELAY
os level = 0
local master = No
dns proxy = No
winbind uid = 10000-20000
winbind gid = 10000-20000
winbind separator = +
template homedir = /home/%D/%U
template shell = /bin/bash
winbind enum groups = Yes
winbind enum users = Yes
winbind refresh tickets = true
winbind offline logon = true
winbind cache time = 1440
winbind use default domain = Yes
Comment 18 Sergey Zhemoitel 2013-07-18 17:00:28 MSD
Игра со значениями AD|DNS|DC в DA ни какой роли не имеют. Результат с любыми значениями точно такой же как указано выше.
Comment 19 Eugene Budanov 2013-07-18 20:07:01 MSD
(In reply to comment #17)
> скрин верный. 
> 
> Какой смысл в записи моих действий? Вы попробуйте ввести в домен. 
This is simply. I try to understand your sequence of actions that cause an error of generating correct smb.conf.

We tested this master at some different domains, even on Windows 2008 R2. It worked without any problems in any configuration except Native mode, but plan fix it in the future. 

Do you test it on clean installation of ROSA 2012.1? Without config file editing or/and any actions before domain logon?
Comment 20 Sergey Zhemoitel 2013-07-18 20:10:35 MSD
Все действия выполняются на чистых свежеуствновленных машинах. Так как ни на одной, а их уже второй десяток пошел, менеджер не отработал верно, то это уже какая не какая но статистка.
Comment 21 Sergey Zhemoitel 2013-08-30 14:22:13 MSD
Поднял PDC на RELS 2012. Завел пользователей. Винда вводит машину в домен, drakauth точно также генерит неполный конфиг и не вводит машину в домен.
Comment 22 Eugene Budanov 2013-08-30 18:09:34 MSD
Yep. I confirm bug and reproduce it. so, in near future we'll fix it.
Comment 23 Eugene Budanov 2013-09-03 18:25:46 MSD
We fixed the problem. Please, Waiting update of drakx utils in near future.
Comment 24 Sergey Zhemoitel 2013-09-04 23:34:24 MSD
Что-то пока что нет в репозиториях
Comment 25 Alexander Burmashev 2013-09-04 23:35:40 MSD
Пока не пушили, завтра думаю сделаем.
Comment 26 Sergey Zhemoitel 2013-09-09 20:15:05 MSD
что-то завтра затянулось
Comment 27 Alexander Burmashev 2013-09-09 22:09:56 MSD
Да, и в самом деле...
https://abf.rosalinux.ru/build_lists/1246884
https://abf.rosalinux.ru/build_lists/1246883
Comment 28 Sergey Zhemoitel 2013-09-12 16:02:41 MSD
Проверил. Нареканий нет, работает как надо.
Comment 29 FirstLevel 2013-09-19 08:36:08 MSD
Why case is solved if the packages with version 14.37.5 are not published?
Where is the published (?) key ?
Comment 30 Denis Silakov 2013-09-19 09:53:18 MSD
The packages were published yesterday, just before closing the bug. For example, here is the new drakxtools:

http://mirror.rosalab.ru/rosa/rosa2012.1/repository/x86_64/main/updates/drakxtools-14.37-5-rosa2012.1.x86_64.rpm

Maybe the mirror you are using is out of sync? What does "urpmq --sources drakxtools" say (do not forget to run "urpmi.update updates" before launching that command)?
Comment 31 FirstLevel 2013-09-19 16:48:47 MSD
(In reply to comment #30)
> The packages were published yesterday, just before closing the bug. For
> example, here is the new drakxtools:
> 
> http://mirror.rosalab.ru/rosa/rosa2012.1/repository/x86_64/main/updates/
> drakxtools-14.37-5-rosa2012.1.x86_64.rpm
> 
> Maybe the mirror you are using is out of sync? What does "urpmq --sources
> drakxtools" say (do not forget to run "urpmi.update updates" before
> launching that command)?

[sergei@freshx32 ~]$ urpmq --sources drakxtools
ftp://mirror.yandex.ru/rosa/rosa2012.1/repository/x86_64/media/main/release/drakxtools-14.34-2-rosa2012.1.x86_64.rpm
[sergei@freshx32 ~]$ 


[root@freshx32 ~]# urpmi --auto-update
источник «main (distrib1)» уже обновлён
источник «contrib (distrib5)» уже обновлён
источник «contrib updates (distrib6)» уже обновлён
источник «non-free (distrib7)» уже обновлён
источник «non-free updates (distrib8)» уже обновлён
источник «restricted (distrib11)» уже обновлён
источник «restricted updates (distrib12)» уже обновлён
Пакеты находятся в актуальном состоянии
[root@freshx32 ~]#
Comment 32 Denis Silakov 2013-09-19 16:55:28 MSD
(In reply to comment #31)
> 
> [root@freshx32 ~]# urpmi --auto-update
> источник «main (distrib1)» уже обновлён
> источник «contrib (distrib5)» уже обновлён
> источник «contrib updates (distrib6)» уже обновлён
> [root@freshx32 ~]#

^^^
It seems that you don't have main/updates enabled.
Comment 33 FirstLevel 2013-09-19 17:49:06 MSD
(In reply to comment #32)
> (In reply to comment #31)
> > 
> > [root@freshx32 ~]# urpmi --auto-update
> > источник «main (distrib1)» уже обновлён
> > источник «contrib (distrib5)» уже обновлён
> > источник «contrib updates (distrib6)» уже обновлён
> > [root@freshx32 ~]#
> 
> ^^^
> It seems that you don't have main/updates enabled.

Thanks.